document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_5600 | ---
+++
@@ -9,6 +9,7 @@
hostname ${HOSTNAME}
echo ${HOSTNAME} >/etc/hostname
source /etc/lsb-release
+apt-key adv --fetch-keys http://apt.puppetlabs.com/DEB-GPG-KEY-puppet
wget http://apt.puppetlabs.com/puppetlabs-release-pc1-${DISTRIB_CODENAME}.deb
dpkg -i puppetlabs-release-pc1-${DISTRIB_CODENAME}.deb
apt-get... | bash |
d_bash_5601 | ---
+++
@@ -13,5 +13,7 @@
alias npm-list="npm list -g --depth=0"
alias dpkg-purge-rc='dpkg -l | grep "^rc" | cut -d " " -f 3 | xargs sudo dpkg --purge'
+alias starwars="telnet towel.blinkenlights.nl"
+
# Necessary to use tmux plugin manager
export TMUX_PLUGIN_MANAGER_PATH="$HOME/.tmux/plugins" | bash |
d_bash_5602 | ---
+++
@@ -5,7 +5,7 @@
for IMAGE_NAME in language-resources festival merlin; do
cd ${IMAGE_NAME}
IMAGE_NAME="base-${IMAGE_NAME}"
- docker build --no-cache -t ${USERNAME}/${IMAGE_NAME}:latest .
+ docker build --cpuset-cpus=4 --no-cache -t ${USERNAME}/${IMAGE_NAME}:latest .
docker push ${USERNAME}/${IMAGE... | bash |
d_bash_5603 | ---
+++
@@ -2,7 +2,7 @@
function dump() {
echo "$(date) Dumping certificates"
- bash dumpcerts.sh /traefik/acme.json /tmp/work/
+ bash dumpcerts.sh /traefik/acme.json /tmp/work/ || return
for crt_file in $(ls /tmp/work/certs/*); do
pem_file=$(echo $crt_file | sed 's/certs/pem/g' | sed 's... | bash |
d_bash_5604 | ---
+++
@@ -1,4 +1,9 @@
#!/bin/bash
+
+test -f /var/www/wu/config/server-config.js || {
+ echo "ERROR: a /var/www/wu/config/server-config.js file is needed for wu to run" >&2
+ exit 1
+}
echo -e "\e[93mKilling containers...\e[39m"
docker-compose kill | bash |
d_bash_5605 | ---
+++
@@ -10,8 +10,6 @@
pyenv activate conan
fi
-echo "---------- Building ----------"
-
cd build
conan install .. --build=missing
cmake ..
@@ -20,5 +18,5 @@
echo "---------- Testing ----------"
-cd tests
+cd ../tests
python test.py | bash |
d_bash_5606 | ---
+++
@@ -6,14 +6,14 @@
LOCAL=/home/mike/Documents/Backup/Local
REMOTE=/home/mike/Documents/Backup/Remote
-# Backup Wordpress files
+# Backup website files
cd /var/www/
tar jvcf $LOCAL/www.tar.bz2 *
# Backup Wordpress database
-USERNAME=$(grep DB_USER /var/www/wp-config.php | awk -F "'" '{print $4}')
-DATA... | bash |
d_bash_5607 | ---
+++
@@ -1,6 +1,7 @@
VERSION=4.0
GIT=https://github.com/FFmpeg/FFmpeg
BRANCH=release/$VERSION
+BUILD_DEPENDS=(zlib)
function recipe_version {
echo "$VERSION"
@@ -13,13 +14,19 @@
}
function recipe_build {
+ sysroot="$PWD/../sysroot"
+ export LDFLAGS="-L$sysroot/lib"
+ export CPPFLAGS="-I$sys... | bash |
d_bash_5608 | ---
+++
@@ -18,3 +18,4 @@
#copy useful files
cp ./build-package.json ./build/linux/package.json
+cp ./icons/git-watcher.png ./build/linux/icon.png | bash |
d_bash_5609 | ---
+++
@@ -26,7 +26,7 @@
# brew cask install adobe-acrobat-reader
-brew cask install visua-studio
+brew cask install visual-studio
brew cask install visual-studio-code
| bash |
d_bash_5610 | ---
+++
@@ -1,7 +1,11 @@
#!/bin/sh
# get the AWS instance ID
-INST=`wget -q -O - http://169.254.169.254/latest/meta-data/instance-id`
+if [ ! -z "$OFF_AWS" ]; then
+ echo "Not running on AWS - will not get the instance ID"
+else
+ INST=`wget -q -O - http://169.254.169.254/latest/meta-data/instance-i... | bash |
d_bash_5611 | ---
+++
@@ -1,3 +1,3 @@
#!/usr/bin/env sh
-git pull origin $(./node_modules/.bin/git-current-branch)
+git pull origin $(/usr/local/lib/node_modules/ggpull/node_modules/.bin/git-current-branch) | bash |
d_bash_5612 | ---
+++
@@ -2,6 +2,7 @@
# Kill any stray processes that left over from a previous test run
# that are holding onto one of the ports we want to use.
+: ${PORT_COUNT=20}
for port in $(seq $PORT_BASE $((PORT_BASE+PORT_COUNT-1))); do
lsof -i TCP:$port | grep LISTEN | awk '{print $2}' | xargs kill -9
done | bash |
d_bash_5613 | ---
+++
@@ -3,7 +3,7 @@
# install python prereqs
add-apt-repository -y ppa:fkrull/deadsnakes
apt-get update
-apt-get install -y libxml2 libxml2-dev libxslt1.1 libxslt1-dev libffi-dev libssl-dev libpq-dev
+apt-get install -y libxml2 libxml2-dev libxslt1.1 libxslt1-dev libffi-dev libssl-dev libpq-dev libmysqlclient-... | bash |
d_bash_5614 | ---
+++
@@ -15,8 +15,8 @@
echo "--- Bundling"
bundle install
-echo "--- Preparing test database"
-bundle exec rake db:test:prepare
+echo "--- Loading test database"
+bundle exec rake db:test:load
echo "--- Running tests"
bundle exec rspec spec --format progress | bash |
d_bash_5615 | ---
+++
@@ -2,7 +2,7 @@
if [ $# -eq 0 ]
then
- echo "Copy the existing docs into a directory under /docs/<version>. Links are udpated to target this version"
+ echo "Copy the existing docs into a directory under /docs/<version>. Links are updated to target this version"
echo "Usage: ./generate-versio... | bash |
d_bash_5616 | ---
+++
@@ -8,10 +8,10 @@
PYTHON_BIN="python2.5"
## The name of your logfile.
-LOGNAME="evennia.log"
+LOGNAME="logs/evennia.log"
## Where to put the last log file from the game's last running
## on next startup.
-LOGNAME_OLD="evennia.log.old"
+LOGNAME_OLD="logs/evennia.log.old"
mv $LOGNAME $LOGNAME_OLD
## T... | bash |
d_bash_5617 | ---
+++
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash -l
+#!/usr/bin/env bash -e
source .rvmrc
| bash |
d_bash_5618 | ---
+++
@@ -21,7 +21,7 @@
while true; do
gst-launch-1.0 -v alsasrc device=$1 ! \
audio/x-raw, format=\(string\)S16LE, channels=2, rate=48000 ! \
- opusenc bandwidth=1102 bitrate=24000 audio=true frame-size=60 complexity=3 ! \
+ opusenc bandwidth=1101 bitrate=24000 audio=true frame-size=60... | bash |
d_bash_5619 | ---
+++
@@ -1,3 +1,7 @@
#!/usr/bin/env bash
+
cd /app
/usr/local/bin/docker-compose --file docker-compose-production.yml down -d > /var/log/docker-compose.log 2> /var/log/docker-compose.log
+
+# Always succeed; we may be running on a new instance with no containers
+exit 0 | bash |
d_bash_5620 | ---
+++
@@ -5,7 +5,7 @@
java -version
# install some basic packages we need
-sudo apt-get -y install ant ant-optional git libev-dev libyaml-dev lsof python-dev python-setuptools rsync screen wamerican
+sudo apt-get -y install ant ant-optional git libev-dev libyaml-dev lsof python-dev python-setuptools python-pip ... | bash |
d_bash_5621 | ---
+++
@@ -1,8 +1,9 @@
#!/bin/bash
-# Correct translate targets
+# Auto correct translate targets and generate po file, BUT DO NOT TRUST.
echo " ===== Start create po file ===== "
SELF_DIR=`dirname $0`
-xgettext --keyword=__ --language php --from-code=UTF-8 --output messages.pot `find ${SELF_DIR}/../ -name \*.php... | bash |
d_bash_5622 | ---
+++
@@ -2,6 +2,7 @@
# Start the master
cd bb-master && ./bin/buildbot start master
+cd ..
# Start the worker
cd bb-worker && ./bin/buildbot-worker start worker | bash |
d_bash_5623 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
libtoolize --copy
-aclocal
+aclocal -I m4
gtkdocize --copy
autoconf
autoheader | bash |
d_bash_5624 | ---
+++
@@ -2,17 +2,23 @@
current_dir=`pwd`
-for sim in func_sim perf_sim;
-do
- echo "Making $sim..."
- rm $sim_output -f;
- pushd ../$sim >> /dev/null;
- make $sim;
+echo "Making func_sim..."
+rm func_sim.output -f;
+pushd ../func_sim >> /dev/null;
+make func_sim;
- echo "Running $sim..."
... | bash |
d_bash_5625 | ---
+++
@@ -29,11 +29,13 @@
echo lescan already running
fi
-CMD="${ROOT}/Debug/src2/NativeScannerBlueZ --scannerID "${scannerID:-`hostname`}" --brokerURL "${brokerURL:-192.168.1.107:5672}" --heartbeatUUID "${heartbeatUUID}" --useQueues $*"
+CMD="${ROOT}/Debug/src2/NativeScannerBlueZ --scannerID "${scanner... | bash |
d_bash_5626 | ---
+++
@@ -3,7 +3,7 @@
ROOT_DIR="$(cd "$(dirname "$0")/.." && pwd)"
cd "$ROOT_DIR"
-JAVA_OPTS='-Xms512m -Xmx1024m -XX:MaxPermSize=512m -server -Djava.awt.headless=true -Dxitrum.mode=production'
+JAVA_OPTS='-Xms512m -Xmx1024m -XX:MaxPermSize=128m -server -Djava.awt.headless=true -Dxitrum.mode=production'
# slf... | bash |
d_bash_5627 | ---
+++
@@ -32,7 +32,7 @@
# Check that we have the "archive" directory
if [ -d "$bkp_archive_dir" ]; then
if [ -x "$horcrux_bin" ]; then
- horcrux auto $bkp_name
+ $horcrux_bin auto $bkp_name
else
echo "Missing horcrux binary in $horcrux_bin, exiting"
exit 4 | bash |
d_bash_5628 | ---
+++
@@ -6,7 +6,7 @@
git clone git://github.com/gwarf/vim.git
echo 'Symlinking vim'
-ln -s vim ~/.vim
+ln -s $(pwd)/vim ~/.vim
ln -s ~/.vim/vimrc ~/.vimrc
echo 'Retrieving sub modules' | bash |
d_bash_5629 | ---
+++
@@ -2,7 +2,8 @@
aws cloudformation package \
--template-file sns2slack.yaml \
- --s3-bucket jheino-lambda > sns2slack-output.yaml
+ --s3-bucket jheino-lambda \
+ --output-template-file sns2slack-output.yaml
aws cloudformation deploy \
--template-file sns2slack-output.yaml \ | bash |
d_bash_5630 | ---
+++
@@ -1,5 +1,7 @@
install_sailor() {
npm install git+https://github.com/elasticio/sailor-nodejs.git#master
+ echo "node ./node_modules/sailor-nodejs/run.js" > sail.sh
+ echo "node ./node_modules/sailor-nodejs/runService.js \${1} \${2} \${3}" > serve.sh
}
run_tests() { | bash |
d_bash_5631 | ---
+++
@@ -9,15 +9,17 @@
p=`grep "PROJECT:" VERSION | cut -f2 -d " "`
#TAG="git tag v$v"
LASTTAG=`git describe --tags --abbrev=0`
+tmpfile=''
EXTRALOGCMD=''
if [ -n "$LASTTAG" ]; then
EXTRALOGCMD="${LASTTAG}..HEAD "
+ tmpfile=$(mktemp /tmp/_tagAndPush.XXXXX)
+ git log ${EXTRALOGCMD}--oneline > ${tmpfile}
fi
... | bash |
d_bash_5632 | ---
+++
@@ -21,3 +21,8 @@
# Use the mosh mouse fix
alias mosh="moshm"
+
+# Better ag output via less
+alias ag='\ag --pager="less -XFR"'
+
+alias j='jira' | bash |
d_bash_5633 | ---
+++
@@ -3,10 +3,10 @@
versions="$(
git ls-remote --tags 'https://github.com/memcached/memcached.git' \
+ | cut -d/ -f3- \
+ | cut -d^ -f1 \
| grep -E '^[0-9]+' \
| grep -vE -- '-(beta|rc)' \
- | cut -d/ -f3- \
- | cut -d^ -f1 \
| sort -urV
)"
| bash |
d_bash_5634 | ---
+++
@@ -2,8 +2,9 @@
VERSION=$1
DIR=mdds_$VERSION
+REPO_URL=https://gitlab.com/mdds/mdds.git
# do a shallow clone.
-git clone --depth 1 --branch $VERSION https://gitlab.com/mdds/mdds.git $DIR || exit 1
+git clone --depth 1 --branch $VERSION $REPO_URL $DIR || exit 1
pushd .
cd $DIR
autoconf | bash |
d_bash_5635 | ---
+++
@@ -1,23 +1,27 @@
#!/bin/bash
-# NOTE: THIS NTP SERVICE CHECK SCRIPT ASSUME THAT NTP SERVICE IS RUNNING UNDER SYSTEMD.
-# THIS IS JUST AN EXAMPLE. YOU CAN WRITE YOUR OWN NODE PROBLEM PLUGIN ON DEMAND.
+# This plugin checks if the ntp service is running under systemd.
+# NOTE: This is only an example ... | bash |
d_bash_5636 | ---
+++
@@ -1,10 +1,10 @@
#!/bin/bash -e
CHROMEDRIVER_VERSION=$1
-python3 -m pip install virtualenv
+
python3 -m virtualenv .venv
source .venv/bin/activate
-pip3 install -U bioblend pytest pytest-cov pytest-mock requests requests-oauthlib subprocess32 selenium
+pip install -U bioblend pytest pytest-cov pytest-m... | bash |
d_bash_5637 | ---
+++
@@ -1,4 +1,5 @@
#!/bin/bash
+# From http://brunorocha.org/python/dealing-with-linked-containers-dependency-in-docker-compose.html
echo $WAIT_COMMAND
echo $WAIT_START_CMD | bash |
d_bash_5638 | ---
+++
@@ -1,7 +1,6 @@
-On the local machine
---------------------
+# On the local machine
-git checkout v0.7.0
+git checkout v0.16.0 # or whatever
rm -Rf docs/build/
cd docs; make html
cp cheatsheet.pdf /shared/
@@ -10,15 +9,14 @@
rm /shared/python-future-html-docs.zip
zip -r /shared/python-future-html-docs... | bash |
d_bash_5639 | ---
+++
@@ -19,17 +19,22 @@
semver="$(cat ${semver_dir}/number)"
timestamp=$(date -u +"%Y-%m-%dT%H:%M:%SZ")
+binname="s3cli-${semver}-${GOOS}-amd64"
+if [ $GOOS = "windows" ]; then
+ binname="$binname.exe";
+fi
+
pushd ${release_dir} > /dev/null
git_rev=`git rev-parse --short HEAD`
version="${semver}-${git... | bash |
d_bash_5640 | ---
+++
@@ -1,8 +1,8 @@
cd ${PWD}
mkdir .temp
cd ./.temp
-curl -o mcforge.zip http://files.minecraftforge.net/minecraftforge/minecraftforge-src-latest.zip
-unzip file.zip -d ./mcforge
+curl -L -o mcforge.zip http://files.minecraftforge.net/maven/net/minecraftforge/forge/1.7.10-10.13.1.1219/forge-1.7.10-10.13.1.121... | bash |
d_bash_5641 | ---
+++
@@ -4,6 +4,9 @@
cd $NOTESDIR
git add .
modified=$(git diff --name-status HEAD)
+if [ -z "$modified" ]; then
+ echo "Nothing to commit"
+fi
count=$(wc -l <<< "$modified")
git commit -m "$count file(s) changed
| bash |
d_bash_5642 | ---
+++
@@ -14,6 +14,10 @@
git add cpython-ucs2/cpython-ucs2-${REV}.tar.gz
git commit -m "Add ucs2 cpython build
+python --version:
+
+$(env LD_LIBRARY_PATH=/opt/cpython-ucs2-$REV/lib /opt/cpython-ucs2-$REV/bin/python --version)
+
hg tip:
-$(hg tip -R $ROOT/deps/cpython-ucs2 | sed 's/^/ /')"
+$(hg tip -R $R... | bash |
d_bash_5643 | ---
+++
@@ -19,4 +19,5 @@
sudo snap install bitwarden
sudo snap install bw
-sudo pip3 install concentration
+sudo python3 -m pip install -U concentration isort
+ | bash |
d_bash_5644 | ---
+++
@@ -12,10 +12,10 @@
if [ "$INPUT1" != "safety-only" ]; then
# whole panda code
- tests/misra/cppcheck/cppcheck --dump --enable=all board/main.c 2>/tmp/misra/cppcheck_output.txt || true
+ tests/misra/cppcheck/cppcheck --dump --enable=all --inline-suppr board/main.c 2>/tmp/misra/cppcheck_output.txt || t... | bash |
d_bash_5645 | ---
+++
@@ -1,10 +1,17 @@
#! /bin/bash
-NAME="${PROJECT}_${VERSION}-1_amd64"
PREFIX="usr"
SPREFIX=${PREFIX}
SUBPREFIX="opt/${PROJECT}/${VERSION}"
SSUBPREFIX="opt\/${PROJECT}\/${VERSION}"
+RELEASE="${VERSION_SUFFIX}"
+
+# default release to "1" if there is no suffix
+if [[ -z $RELEASE ]]; then
+ RELEASE="1"
+f... | bash |
d_bash_5646 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
-# USAGE: release 1.1.1
+# USAGE: ./RELEASE.sh 1.1.1
DIR=$(dirname $0)
VERSION=$1
@@ -9,7 +9,7 @@
sed -i -e "s/Version: .*/Version: $VERSION/" $DIR/README.md
-git commit -a -m "version $VERSION"
+git commit -a -m "Update version in README to $VERSION."
git checkout maste... | bash |
d_bash_5647 | ---
+++
@@ -29,3 +29,4 @@
git clone --depth 1 https://github.com/junegunn/fzf.git ~/.fzf
~/.fzf/install --all --xdg --no-update-rc
+usermod --shell /usr/bin/zsh $USERNAME | bash |
d_bash_5648 | ---
+++
@@ -2,14 +2,11 @@
apt-get update $APT_OPTS
-# install vim
apt-get install vim $APT_OPTS
-apt-get install sqlite3 libsqlite3-dev
+apt-get install build-essential python3-dev python3-setuptools python3-pip $APT_OPTS
-apt-get install build-essential python3-dev python3-setuptools $APT_OPTS
-
-apt-get i... | bash |
d_bash_5649 | ---
+++
@@ -5,3 +5,5 @@
# Add an "alert" alias for long running commands. Use like so:
# sleep 10; alert
alias alert='tput bel'
+
+alias mdfindh='mdfind -onlyin .' | bash |
d_bash_5650 | ---
+++
@@ -1,4 +1,10 @@
#!/bin/bash
+version=$(cat VERSION)
+
+curl "https://packages.chef.io/files/unstable/omnibus-gcc/${version}/el/6/omnibus-gcc-${version}-1.el6.x86_64.rpm" -O
+sudo yum install "omnibus-gcc-${version}-1.el6.x86_64.rpm" -y
+rm -f "omnibus-gcc-${version}-1.el6.x86_64.rpm"
+
/opt/omnibus... | bash |
d_bash_5651 | ---
+++
@@ -4,7 +4,7 @@
v=${1:-5}
-ninja && tmux new-session -d "sleep 0.1; bin/client -v$v" \; \
+ninja && tmux -CC \
+ new-session "sleep 0.1; bin/client -v$v" \; \
split-window -h "bin/server -v$v" \; \
- set remain-on-exit on \; \
- attach
+ set remain-on-exit on | bash |
d_bash_5652 | ---
+++
@@ -2,18 +2,17 @@
output="Test results:\n"
-for app in bobo_test falcon_test pycnic_test cherrypy_test pyramid_test hug_test flask_test bottle_test;
+for app in bobo_test falcon_test pycnic_test cherrypy_test pyramid_test hug_test flask_test bottle_test;
do
echo "TEST: $app"
gunicorn -w 3 $ap... | bash |
d_bash_5653 | ---
+++
@@ -11,6 +11,6 @@
coverage run --source=oai ./manage.py test oai
coverage report -m
pep8 --config=.pep8
-pylint --rcfile=.pylintrc oai --report=no
pylint --rcfile=.pylintrc ecoapi --report=no
pylint --rcfile=.pylintrc xapi --report=no
+pylint --rcfile=.pylintrc oai --report=no | bash |
d_bash_5654 | ---
+++
@@ -11,4 +11,4 @@
docker run -i --rm=true --env="${EXTRA_ENV}" -v "/var/run/docker.sock:/var/run/docker.sock" 'son-analyze-test' -v bootstrap
-docker run -i --rm=true --env="${EXTRA_ENV}" -v "/var/run/docker.sock:/var/run/docker.sock" -v "$(pwd)/outputs:/son-analyze/outputs" --entrypoint='/bin/bash' 's... | bash |
d_bash_5655 | ---
+++
@@ -7,7 +7,7 @@
if command -v dircolors >/dev/null 2>&1; then
eval "`dircolors -b`"
fi
- alias ls='ls --group-directories-first --color=auto'
+ alias ls='ls -N --group-directories-first --color=auto'
fi
alias ll='ls -lNh' | bash |
d_bash_5656 | ---
+++
@@ -20,11 +20,12 @@
echo -e "Configuring aliases for log command..."
-echo -e "New comand: git lol"
+echo -e "New command: git lol"
git config alias.lol "log --pretty=oneline --abbrev-commit --graph --decorate"
echo -e "New command: git changelog"
-git config alias.changelog "log --pretty=oneline --a... | bash |
d_bash_5657 | ---
+++
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-
+# Run all automated tests on commit.
function test_on_commit() {
bin/test --no-fix || exit 1;
exit 0; | bash |
d_bash_5658 | ---
+++
@@ -36,7 +36,7 @@
touch $OUTFILE
if [ "$GTFILES" ]; then
- xgettext --language=C -o ${OUTFILE} --force-po --keyword=i18n_nop --keyword=i18n_c:1c,2 --keyword=i18n --join-existing ${GTFILES}
+ xgettext --from-code=UTF-8 --language=C -o ${OUTFILE} --force-po --keyword=i18n_nop --keyword=i18n_c:1c,2 --keywo... | bash |
d_bash_5659 | ---
+++
@@ -1,4 +1,3 @@
-set -x
n=0
until [ "$n" -ge 5 ]
do
@@ -13,4 +12,3 @@
break
fi
done
-set +x | bash |
d_bash_5660 | ---
+++
@@ -1,4 +1,5 @@
#!/bin/sh
export CKPT_REDIS="${REDIS_PORT_6379_TCP_ADDR}:${REDIS_PORT_6379_TCP_PORT}"
export CKPT_AMQP_URL="amqp://guest:guest@${RABBITMQ_PORT_5672_TCP_ADDR}:${RABBITMQ_PORT_5672_TCP_PORT}"
+sleep 5
./backend-services | bash |
d_bash_5661 | ---
+++
@@ -2,4 +2,4 @@
PARENT=`dirname $0`/..
-${PARENT}/vendor/bin/phpunit --configuration ${PARENT}/app/build/phpunit.xml "$@"
+${PARENT}/bin/phpunit --configuration ${PARENT}/app/build/phpunit.xml "$@" | bash |
d_bash_5662 | ---
+++
@@ -6,6 +6,6 @@
echo "* $(basename $plugin_path)"
done
else
- echo 'Oohes nooes ~! No versions installed'
+ echo 'Oohes nooes ~! No plugins installed'
fi
} | bash |
d_bash_5663 | ---
+++
@@ -1,7 +1,7 @@
#! /bin/bash
# script to create a release tarball for strigi
# this is needed since the project is split up in separate git moduls
-TAG=0.7.6
+TAG=0.7.8
git archive --format=tar --prefix=strigi-$TAG/ -o strigi-$TAG.tar v$TAG
for f in libstreams libstreamanalyzer strigidaemon strigiclient ... | bash |
d_bash_5664 | ---
+++
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-# Usage: ./gulp-tracer.sh [name]
+# Usage: sudo ./gulp-tracer.sh [name]
function traceProc {
echo "Running strace for $1" | bash |
d_bash_5665 | ---
+++
@@ -1,7 +1,14 @@
#!/usr/bin/env bash
+set -x
+set -e
+# Install pip
+cd /tmp
+curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py
+python3.6 get-pip.py --user
+cd -
# Install Flit to be able to install all
-python3 -m pip install flit
+python3.6 -m pip install --user flit
# Install with Flit
-python3 -... | bash |
d_bash_5666 | ---
+++
@@ -21,7 +21,7 @@
govc license.assign "$VCSA_LICENSE" >/dev/null
-govc ls -t HostSystem /dc1/host/cluster1 | xargs -I% -n1 govc license.assign -host % "$ESX_LICENSE" >/dev/null
+govc find / -type h | xargs -I% -n1 govc license.assign -host % "$ESX_LICENSE" >/dev/null
echo "Assigned licenses..."
govc ... | bash |
d_bash_5667 | ---
+++
@@ -22,4 +22,4 @@
pip install -e .[test]
# For uploading to coveralls
-pip install python-coveralls
+pip install coveralls | bash |
d_bash_5668 | ---
+++
@@ -35,10 +35,10 @@
curl -O https://static.rust-lang.org/rustup.sh
for channel in stable beta nightly; do
- sh rustup.sh --prefix=root-${channel}.new --channel=$channel --yes
+ sh rustup.sh --prefix=root-${channel}.new --channel=$channel --yes --disable-sudo
+ arch-chroot root-$channel.new cargo ... | bash |
d_bash_5669 | ---
+++
@@ -1,3 +1,2 @@
-alias sc='script/console'
-alias sg='script/generate'
-alias sd='script/destroy'
+alias ss='spring stop && sleep 1; ps ax | ag "[s]pring"'
+alias r='bin/rails' | bash |
d_bash_5670 | ---
+++
@@ -11,7 +11,9 @@
# print results if anything fails
cat $file
echo "Some unit tests failed. "
+ rm $file
exit 1
else
echo "All unit tests passed! "
+ rm $file
fi | bash |
d_bash_5671 | ---
+++
@@ -3,6 +3,7 @@
alias hgc='hg commit'
alias hgb='hg branch'
alias hgba='hg branches'
+alias hgbk='hg bookmarks'
alias hgco='hg checkout'
alias hgd='hg diff'
alias hged='hg diffmerge' | bash |
d_bash_5672 | ---
+++
@@ -8,4 +8,27 @@
export MESOS_DOMAIN="$($FAULT_DOMAIN_SCRIPT)"
fi
+function coreos_networkd_config() {
+ network_config="/etc/systemd/network/dcos.network"
+ sudo tee $network_config > /dev/null<<'EOF'
+ [Match]
+ Type=bridge
+ Name=docker* m-* d-* vtep*
+
+ [Link]
+ Unmanaged=yes
+EOF
+}
+
+distro=... | bash |
d_bash_5673 | ---
+++
@@ -2,8 +2,10 @@
cd
if [ ! -d ~/Engine ]; then
- git clone -b development https://github.com/fp7-netide/Engine
+ git clone https://github.com/fp7-netide/Engine
fi
+
+# TODO: install netip libraries so that java and python can find them
#echo "export PYTHONPATH=\$PYTHONPATH:~/Engine/ryu-backend:~/Eng... | bash |
d_bash_5674 | ---
+++
@@ -16,4 +16,4 @@
alias xcb='xcodebuild'
alias xcp='xcode-select --print-path'
-alias simulator='open $(xcode-select -p)/Platforms/iPhoneSimulator.platform/Developer/Applications/iPhone\ Simulator.app'
+alias simulator='open $(xcode-select -p)/Applications/iOS\ Simulator.app' | bash |
d_bash_5675 | ---
+++
@@ -18,4 +18,4 @@
apt_get_install git ansible
# Run ansible
-ansible-pull -i "localhost," -d /home/ubuntu/alsl-infrastructure -U https://github.com/mshogren/alsl-infrastructure alsl-ec2-dev.yml
+ansible-pull -i "localhost," -d /home/ubuntu/alsl-infrastructure -U https://github.com/mshogren/alsl-infrastru... | bash |
d_bash_5676 | ---
+++
@@ -8,6 +8,6 @@
sudo apt-get update
# Unauthenticated packages need --force-yes
-sudo apt-get -y --force-yes install clusterhq-python-flocker clusterhq-flocker-cli
+sudo apt-get -y --force-yes install clusterhq-flocker-cli
echo "Flocker CLI ${version} installed." | bash |
d_bash_5677 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/bash
-until head -c 0 </dev/tcp/database-host/5432; do sleep 1; done && rails server -b 0.0.0.0
+until rails runner "exit 1 unless ActiveRecord::Base.connection.active?" 2>/dev/null >/dev/null; do sleep 1; done && rails server -b 0.0.0.0 | bash |
d_bash_5678 | ---
+++
@@ -11,7 +11,6 @@
tar xvf /mnt/cudnn-8.0-linux-x64-v5.1.tgz -C /usr/local
-driver_path=/usr/local/NVIDIA-Linux-x86_64-$driver_version
-echo "export LD_LIBRARY_PATH=/usr/local/cuda/lib64:$driver_path:\$LD_LIBRARY_PATH" >> /environment
+echo "export LD_LIBRARY_PATH=/usr/local/cuda/lib64:\$LD_LIBRARY_PATH" ... | bash |
d_bash_5679 | ---
+++
@@ -19,7 +19,12 @@
echo "CKAN version: ${CKAN_TAG#ckan-}"
fi
python setup.py develop
-pip install -r requirements.txt --allow-all-external
+if [ -f requirements-py2.txt ]
+then
+ pip install -r requirements-py2.txt
+else
+ pip install -r requirements.txt
+fi
pip install -r dev-requirements.txt -... | bash |
d_bash_5680 | ---
+++
@@ -26,7 +26,7 @@
curl -fsSL https://get.docker.com/ | sh
fi
- docker run --restart=always --name quiver -d -p 80:3000 dborkan/quiver
+ docker run --restart=always --name quiver -d -p 80:3000 uproxy/quiver
}
# Wrapped in a function for some protection against half-downloads. | bash |
d_bash_5681 | ---
+++
@@ -2,7 +2,7 @@
set -ex
-wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | sudo apt-key add -
-sudo sh -c 'echo "deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main" >> /etc/apt/sources.list.d/google.list'
-sudo apt-get update
-sudo apt-get --only-upgrade install google... | bash |
d_bash_5682 | ---
+++
@@ -7,8 +7,8 @@
echo "Updating path to Firefox"
# Update the path to firefox to make Webdriver use it
FIREFOX_PATH=`which firefox`
- mv $FIREFOX_PATH $FIREFOX_PATH-bak
- ln -s $FIREFOX_PATH $BROWSERBIN
+ sudo mv $FIREFOX_PATH $FIREFOX_PATH-bak
+ sudo ln -s $FIREFOX_PATH $BROWSERBIN
fi
echo "Fir... | bash |
d_bash_5683 | ---
+++
@@ -8,7 +8,7 @@
fi
if [[ "$COVERITY_SCAN_BRANCH" != 1 ]] && [[ "$TRAVIS_OS_NAME" == "linux" ]] && [[ "$TRAVIS_CPU_ARCH" == "amd64" ]] && [[ "$CC" == "gcc-4.8" ]] && [[ "$HDF5_VERSION_DIR" == "hdf5_1_8_21" ]] && [[ "$ENABLE_MAT73" == "yes" ]] && [[ "$ENABLE_EXTENDED_SPARSE" == "yes" ]] && [[ "$WITH_ZLIB" =... | bash |
d_bash_5684 | ---
+++
@@ -5,7 +5,7 @@
docker run -d --volume $(pwd)/data:/opt/open-nti/data \
--volume $(pwd)/logs:/opt/open-nti/logs \
- --volume $(pwd)/db:/var/lib/influxdb \
+ --volume $(pwd)/db:/data \
--volume $(pwd)/dashboards:/src/dashboards \
--resta... | bash |
d_bash_5685 | ---
+++
@@ -12,10 +12,12 @@
ls dist
# Upload to twine
-if ! [ -z $TRAVIS_TAG ] ; then
+if ! [[ -z "$TRAVIS_TAG" ]] ; then
echo "Uploading to PYPI"
twine upload dist/* -u kehtnok -p $PYPI_PW
twine upload wheelhouse/* -u kehtnok -p $PYPI_PW
+else
+ echo "No tag, not running upload"
fi
echo "./... | bash |
d_bash_5686 | ---
+++
@@ -6,6 +6,11 @@
bazel_bin=bazel
fi
+# At least temporarily we want to know what is going on even when all tests are
+# passing, so we have a better chance of debugging what happens in CI test runs
+# that were supposed to catch test failures, but did not.
${bazel_bin} test \
"$@" \
+ --t... | bash |
d_bash_5687 | ---
+++
@@ -29,7 +29,7 @@
YUMREPO_EOF
-yum install -y SciTools-env-*
+yum install -y TestMyBuild-env-*
# TODO: Make some assertions!?
| bash |
d_bash_5688 | ---
+++
@@ -6,3 +6,5 @@
alias ls='ls -G'
export EDITOR='nano -w'
+
+export PATH="/usr/local/sbin:$PATH" | bash |
d_bash_5689 | ---
+++
@@ -1,8 +1,7 @@
#!/bin/bash
pushd $(dirname "${0}") > /dev/null
find . -depth 1 \
- -not -name '.git' \
- -not -name '.gitignore' \
+ -not -name '.*' \
-not -name 'package.sh' \
-not -name 'shop-incognito.zip' \
-print | zip -r shop-incognito.zip -@ | bash |
d_bash_5690 | ---
+++
@@ -11,7 +11,10 @@
SECTION="$(cat '/usr/local/scripts/dat/wallpaper_section')"
[[ $# -gt 0 ]] && SECTION="$1"
-${DISPLAY+"false"} && export DISPLAY=':0'
+
+if [[ ${DISPLAY:-none} == none ]]; then
+ export DISPLAY=':0'
+fi
feh --recursive --randomize --"$SPREAD" "$DIR/$SECTION"
| bash |
d_bash_5691 | ---
+++
@@ -1,11 +1,15 @@
#!/bin/sh
set -e
-if ! keytool -list -keystore "/etc/pki/java/cacerts" -storepass "changeit" -alias "dc0-stl.schafer.lan.64.cer" ; then
+KEYSTORE="/etc/ssl/certs/java/cacerts"
+LDAPCERT="dc0-stl.schafer.lan.64.cer"
+STOREPASSWORD="changit"
+
+if ! keytool -list -keystore $KEYSTORE -store... | bash |
d_bash_5692 | ---
+++
@@ -3,8 +3,24 @@
IMAGE=${IMAGE:-no}
REPO=${REPO:-rancher}
NAME=vm
-TAG=dev
+version() {
+ if [ -n "$(git status --porcelain --untracked-files=no)" ]; then
+ DIRTY="-dirty"
+ fi
+
+ COMMIT=$(git rev-parse --short HEAD)
+ GIT_TAG=$(git tag -l --contains HEAD | head -n 1)
+
+ if [[ -z "$DIRTY" && -n... | bash |
d_bash_5693 | ---
+++
@@ -1,6 +1,6 @@
# Use clang instead of gcc
-export OMPI_CC=/usr/bin/clang-5.0
-export OMPI_CXX=/usr/bin/clang++-5.0
+export OMPI_CC=clang
+export OMPI_CXX=clang++
export CC=mpicc
export CXX=mpicxx
| bash |
d_bash_5694 | ---
+++
@@ -13,7 +13,13 @@
export LC_ALL='en_US.UTF-8';
# Highlight section titles in manual pages.
-export LESS_TERMCAP_md="${yellow}";
+export LESS_TERMCAP_md="${yellow}"
+export LESS_TERMCAP_mb="${yellow}"
+export LESS_TERMCAP_me="${reset}"
+export LESS_TERMCAP_so="${violet}"
+export LESS_TERMCAP_se="${reset}"... | bash |
d_bash_5695 | ---
+++
@@ -21,8 +21,5 @@
--set-timeout 150 \
--white-list "example1.com,example2.com,example3.com,github.com/sonarwhal/" \
{} +;
-exitCode=$?
node .travis/report-broken-links.js
-
-exit $exitCode | bash |
d_bash_5696 | ---
+++
@@ -16,14 +16,14 @@
# Add ACLs to prevent unauthenticated access?
-mkdir /home/data/private
+mkdir -p /home/data/private
chown www-data: /home/data/private
#chmod g+ws /home/data/private
-mkdir /home/data/shared
+mkdir -p /home/data/shared
chown www-data: /home/data/shared
#chmod g+ws /home/data/sh... | bash |
d_bash_5697 | ---
+++
@@ -27,6 +27,7 @@
install(){
echo 'Installing project dependencies...'
npm install
+ npm install --save --save-exact box-sizing-polyfill@0.1.0 jquery.easing@1.3.2 normalize-css@2.3.1 jquery@1.11.3 normalize-legacy-addon@0.1.0
if [ -f $SHRINKWRAP ]; then
echo 'Removing project dependency direct... | bash |
d_bash_5698 | ---
+++
@@ -8,4 +8,6 @@
ros-kinetic-ros-control\
ros-kinetic-ros-controllers\
ros-kinetic-teleop-twist-keyboard\
- ros-kinetic-velodyne-gazebo-plugins
+ ros-kinetic-velodyne-gazebo-plugins\
+ ros-kinetic-mcl-3dl\
+ ros-kinetic-mcl-3dl-msgs | bash |
d_bash_5699 | ---
+++
@@ -2,15 +2,15 @@
# check that puppet is running and start it if it's not
hostname
EXIT=0
-if ! ps -ef | grep pup*et; then
- echo "puppet is not running on $HOSTNAME -- restarting"
- # try to restart
- /usr/bin/ruby /usr/sbin/puppetd --server=volt1 || EXIT=1
- if ! ps -ef | grep pup*et; then
- echo ... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.